"use strict";
/*
 * @since 2020-09-09 22:04:54
 * @author acrazing <joking.young@gmail.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
var parse_1 = require("../parse");
var parse_spec_1 = require("../parse.spec");
var tokenize_1 = require("../tokenize");
var tokenize_spec_1 = require("../tokenize.spec");
describe('issue #6', function () {
    it('should tokenize upper case tag to lower', function () {
        expect(tokenize_1.tokenize('<Test></Test>')).toEqual([
            tokenize_spec_1.token('test', tokenize_1.TokenKind.OpenTag, 1),
            tokenize_spec_1.token('', tokenize_1.TokenKind.OpenTagEnd),
            tokenize_spec_1.token('test', tokenize_1.TokenKind.CloseTag, tokenize_spec_1.tokenIndex + 3),
        ]);
    });
    it('should parse upper case as expected', function () {
        expect(parse_1.parse('<Test></Test>')).toEqual([
            parse_spec_1.tag('<Test></Test>', 'test', parse_spec_1.text('<Test>', 0), [], [], parse_spec_1.text('</Test>'), 0, 'Test'),
        ]);
    });
});
//# sourceMappingURL=issue_6.spec.js.map